Skip to main content
POST
/
1
/
maps
/
dependencies
/
requests
curl --request POST \
  --url https://api.honeycomb.io/1/maps/dependencies/requests \
  --header 'Content-Type: application/json' \
  --header 'X-Honeycomb-Team: <api-key>' \
  --data '
{
  "time_range": 7200,
  "filters": [
    {
      "name": "user-service",
      "type": "service"
    }
  ]
}
'
{
  "request_id": "abc123",
  "status": "pending"
}

Authorizations

X-Honeycomb-Team
string
header
required

A Honeycomb Configuration Key is required to use this API. A Configuration Key can be found in the API Keys section of the environment configuration, which can be found under Environment Settings -> API Keys -> Configuration tab. Check out our documentation to find your API Keys.

More information can be found in Manage Environments.

Query Parameters

limit
integer
default:10000

Maximum number of dependencies to return. Default is 10000, maximum is 64000.

Required range: 1 <= x <= 64000

Body

application/json

Create a Map Dependency Request.

start_time
integer

Absolute start time to evaluate dependencies, in seconds since UNIX epoch. Must be <= end_time (when time_range is not provided).

Example:

1622548800

end_time
integer

Absolute end time to evaluate dependencies, in seconds since UNIX epoch. Must be >= start_time (when time_range is not provided).

Example:

1622635200

time_range
integer
default:7200

Time range in seconds (minimum 1). Can be used with either start_time (seconds after start_time), end_time (seconds before end_time), or without either (seconds before now).

Required range: x >= 1
Example:

7200

filters
object[]

Optional list of service nodes to filter dependencies by. Only dependencies involving these nodes will be returned.

Response

Success - Results are ready or request has failed (see status field)

Response for a Map Dependency Request.

request_id
string

Unique identifier for the Map Dependency Request.

Example:

"abc123"

status
enum<string>

Status of the Map Dependency Request.

Available options:
pending,
ready,
error
Example:

"pending"